#define plottingBis_cxx
// The class definition in plottingBis.h has been generated automatically
// by the ROOT utility TTree::MakeSelector(). This class is derived
// from the ROOT class TSelector. For more information on the TSelector
// framework see $ROOTSYS/README/README.SELECTOR or the ROOT User Manual.


// The following methods are defined in this file:
//    Begin():        called every time a loop on the tree starts,
//                    a convenient place to create your histograms.
//    SlaveBegin():   called after Begin(), when on PROOF called only on the
//                    slave servers.
//    Process():      called for each event, in this function you decide what
//                    to read and fill your histograms.
//    SlaveTerminate: called at the end of the loop on the tree, when on PROOF
//                    called only on the slave servers.
//    Terminate():    called at the end of the loop on the tree,
//                    a convenient place to draw/fit your histograms.
//
// To use this file, try the following session on your Tree T:
//
// root> T->Process("plottingBis.C")
// root> T->Process("plottingBis.C","some options")
// root> T->Process("plottingBis.C+")
//


#include "plottingBis.h"
#include <TH2.h>
#include <TStyle.h>
// Headers needed by this particular selector
#include "ROOT/RVec.hxx"

void plottingBis::Begin(TTree * /*tree*/)
{
     TString option = GetOption();
}

void plottingBis::SlaveBegin(TTree * /*tree*/)
{
  

   TString option = GetOption();

}

Bool_t plottingBis::Process(Long64_t entry)
{
  

   fReader.SetLocalEntry(entry);

   //cout << " test " << endl;

   TLorentzVector v1_lep,v2_lep,v12_lep;
   v1_lep.SetPtEtaPhiM(electrons_pt->at(0),electrons_y->at(0),0 ,0);
   v2_lep.SetPtEtaPhiM(electrons_pt->at(1),electrons_y->at(1),0 ,0);;
   v12_lep = v1_lep + v2_lep;

   cout << v12_lep.M() << endl;
   

    for(int s = 0; s < 1; s++)
      {
	//cout << " test " << electrons_pt->at(0) <<  " test 2"  << electrons_pt->at(1) << endl;
	//electrons_pt.momentum.x
      }

   return kTRUE;
}

void plottingBis::SlaveTerminate()
{
  

}

void plottingBis::Terminate()
{

}
