//
// Time-stamp: <2018-02-07 15:51:59 diallo>

#include <iostream>
#include <string>
#include <vector>

#include <TFile.h>
#include <TTree.h>


class input {
  public:
  public:
  float parent_mass;
  float child_mass;
  string file_name;
  input(float m, float n, TString s) :
    parent_mass(m), child_mass(n), file_name(s) {;};
};



int runProcess() {

  vector<input> names;

  const char *fileName[] =
    {
      "p8_ee_ZZ_ecm240_sel0_NoCuts"
    };
for (int i = 0; i < 1; i++)
   
  {
    names.push_back(input(-1, -1,TString::Format("%s", fileName[i])));
}

   

  TFile* f;
  TTree* t;
  
  for (unsigned u=0; u<names.size(); ++u) {
    string infile = names[u].file_name + ".root";
    string output = names[u].file_name + "_output.root";
    //f = TFile::Open(infile);
     f = TFile::Open(infile.c_str());
     //t = (TTree*) f->Get(names[u].file_name + "events");
     t = (TTree*) f->Get("events");
    if (t) {
      cout << "Processing " << infile << endl;
      t->Process("plottingBis.C+", output.c_str());
    } else {
      cerr << "ERROR: cannot find myTree in " << infile << endl;
      return 1;
    }
  }

  return 0;
}

